GNU bug report logs - #67642
[PATCH 0/5] Add some Python build-related packages.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Vinicius Monego <monego@HIDDEN>; Keywords: patch; dated Tue, 5 Dec 2023 15:20:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 67642 <at> debbugs.gnu.org:


Received: (at 67642) by debbugs.gnu.org; 28 Feb 2024 12:25:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 28 07:25:19 2024
Received: from localhost ([127.0.0.1]:35717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rfIzt-000142-Kz
	for submit <at> debbugs.gnu.org; Wed, 28 Feb 2024 07:25:19 -0500
Received: from smtp-edge.dcmtp.inrae.fr ([147.100.242.3]:32454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.bonnefon@HIDDEN>) id 1rfF5O-0003LY-7p
 for 67642 <at> debbugs.gnu.org; Wed, 28 Feb 2024 03:14:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=s1024; d=inrae.fr;
 h=message-id:date:mime-version:to:subject:from:content-type;
 bh=OETLJLbRZWWg/iBwYw+ZTDfyP2184UCFCPVhOYj+ADo=;
 b=ljnBzJQxT3fIPwYv8zWRnWwoflU3Q+HWp46wdpSF1tASiTnn5vhxcutZAjFfp5
 2QiFCH3+uGy/BdoR2vJh6gocGGr9Ll6C3s2apUKi4nbBGIx2KTEJFqje5N6Fo3
 LpAK8DLb2lrekDajpLWBR7SkVoj5F7iY7EqwHRb88Dok8pw=
Received: from MTPDC-EXSRV04.inra.local (10.103.5.14) by
 MTPDC-EXEDGE02.inra.local (147.100.242.3) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.2.1258.28; Wed, 28 Feb 2024 09:14:08 +0100
Received: from [192.168.1.16] (138.102.156.21) by MTPDC-EXSRV04.inra.local
 (10.103.5.14) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.2.1258.28; Wed, 28 Feb
 2024 09:14:08 +0100
Message-ID: <c25e3113-9275-45a8-bbec-3fec2f19bab2@HIDDEN>
Date: Wed, 28 Feb 2024 09:14:07 +0100
MIME-Version: 1.0
User-Agent: Mozilla Thunderbird
To: <67642 <at> debbugs.gnu.org>
Subject: [PATCH 0/5] Add some Python build-related packages.
Content-Language: en-US
From: obonnefon <olivier.bonnefon@HIDDEN>
Content-Type: text/plain; charset="UTF-8"; format=flowed
Content-Transfer-Encoding: 7bit
X-Originating-IP: [138.102.156.21]
X-ClientProxiedBy: MTPDC-EXSRV04.inra.local (10.103.5.14) To
 MTPDC-EXSRV04.inra.local (10.103.5.14)
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  The cook I write for dolfinx07, based on this patch,
 is available
 in the guix directory of https://forgemia.inra.fr/olivier.bonnefon/mse . 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 2.8 SCC_BODY_URI_ONLY      Very short body with something maybe clickable
X-Debbugs-Envelope-To: 67642
X-Mailman-Approved-At: Wed, 28 Feb 2024 07:13:21 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  The cook I write for dolfinx07, based on this patch, is available
    in the guix directory of https://forgemia.inra.fr/olivier.bonnefon/mse . 
 
 Content analysis details:   (1.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  2.8 SCC_BODY_URI_ONLY      Very short body with something maybe clickable

The cook I write for dolfinx07, based on this patch, is available in the 
guix directory of https://forgemia.inra.fr/olivier.bonnefon/mse .





Information forwarded to guix-patches@HIDDEN:
bug#67642; Package guix-patches. Full text available.

Message received at 67642 <at> debbugs.gnu.org:


Received: (at 67642) by debbugs.gnu.org; 8 Feb 2024 08:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 08 03:27:40 2024
Received: from localhost ([127.0.0.1]:58964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rXzkw-0004J2-NL
	for submit <at> debbugs.gnu.org; Thu, 08 Feb 2024 03:27:40 -0500
Received: from smtp-edge.dcmtp.inrae.fr ([147.100.242.2]:24826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <olivier.bonnefon@HIDDEN>) id 1rXyxN-0002vd-Tp
 for 67642 <at> debbugs.gnu.org; Thu, 08 Feb 2024 02:36:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=s1024; d=inrae.fr;
 h=message-id:date:mime-version:to:subject:from:content-type;
 bh=UD2VuJNsOOi07e1XRDvt/FJLWJcDpOwQsG9HGYrBgyE=;
 b=W6R9K7AOzCvZHcHIpJHS/q/1bb+eoBN9jCCBgKleIOZJCw0mDc9DFynG1o9l1E
 bVav8wMwYbA6zXGc2tFMJ6YtJQb6E5VLBxRdCOCqYuUgLZ1Uc0hLCiqSaH5y/s
 +8djA85wrwmbRgnzuzulw861GwE5EylyvrzF9Anh0F0euMs=
Received: from MTPDC-EXSRV04.inra.local (10.103.5.14) by
 MTPDC-EXEDGE01.inra.local (147.100.242.2) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.2.1258.28; Thu, 8 Feb 2024 08:36:05 +0100
Received: from [192.168.1.12] (147.100.174.21) by MTPDC-EXSRV04.inra.local
 (10.103.5.14) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.2.1258.28; Thu, 8 Feb
 2024 08:36:04 +0100
Message-ID: <ab52db14-3971-44e8-a6ea-8164a368fd86@HIDDEN>
Date: Thu, 8 Feb 2024 08:35:54 +0100
MIME-Version: 1.0
User-Agent: Mozilla Thunderbird
To: <67642 <at> debbugs.gnu.org>
Subject: [PATCH 0/5] Add some Python build-related packages.
Content-Language: en-US
From: obonnefon <olivier.bonnefon@HIDDEN>
Content-Type: text/plain; charset="UTF-8"; format=flowed
Content-Transfer-Encoding: 7bit
X-Originating-IP: [147.100.174.21]
X-ClientProxiedBy: TLSDC-EXSRV04.inra.local (10.101.5.14) To
 MTPDC-EXSRV04.inra.local (10.103.5.14)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 67642
X-Mailman-Approved-At: Thu, 08 Feb 2024 03:27:37 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I have tested this cook to build dolfinx v07 cook. It works. Thanks





Information forwarded to guix-patches@HIDDEN:
bug#67642; Package guix-patches. Full text available.

Message received at 67642 <at> debbugs.gnu.org:


Received: (at 67642) by debbugs.gnu.org; 5 Dec 2023 15:23:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 05 10:23:10 2023
Received: from localhost ([127.0.0.1]:38066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rAXGP-0006Ng-NX
	for submit <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:23:10 -0500
Received: from mout01.posteo.de ([185.67.36.65]:32827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1rAXGO-0006N1-Hv
 for 67642 <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:23:08 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id AE0AA240029
 for <67642 <at> debbugs.gnu.org>; Tue,  5 Dec 2023 16:22:51 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1701789771; bh=2jlUsBoX6YWlM2P1NMQQgrBw8tyDvHJUyTRaKK9N5DI=;
 h=From:To:Cc:Subject:Date:Message-Id:MIME-Version:
 Content-Transfer-Encoding:From;
 b=NAV434pXy59jLasUWQb89b9QkZnZyhJaEvi4rWLj1SWLSkr/IvDdCKhGeCj7gpyi0
 pI5CeQ2Xkqgk3bNBvwHqN8y4Zd8AlfEo/LinZBbFTLx/4GcTYBW2q4ymC0FpQXQpKD
 3tuOm0xCZnl3OMeLZyOZbXx3xZsm+MEy+Yk/By9EuRWfN3n2cwr7EzZ9hTzqenz9b2
 FCr4uk9tPZmrT4EOxJMLMPJifkeZwquZ7Fem5HdUffSbcypBjRM2X6ANJIrmE3hSdS
 7xdojVZDPNB41SuFSdNUix61tl/8cgQ4psf60BstlGoa9B6MpwVlSnNtkXfLIrm/IT
 77lvrEa8Oxx4Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Sl46L63mPz6tvZ;
 Tue,  5 Dec 2023 16:22:50 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 67642 <at> debbugs.gnu.org
Subject: [PATCH 5/5] gnu: Add python-spin.
Date: Tue,  5 Dec 2023 15:21:58 +0000
Message-Id: <37bad6d18c8d47e126f50b382dfb9b682329e018.1701788624.git.monego@HIDDEN>
In-Reply-To: <cover.1701788624.git.monego@HIDDEN>
References: <cover.1701788624.git.monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 67642
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-science.scm (python-spin): New variable.

Change-Id: I794845d559f3f4f3ab9cf98b0e4a4321b470f7f8
---
 gnu/packages/python-science.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index 1b7ae663eb..d48eebb4a9 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -713,6 +713,32 @@ (define-public python-numpoly
     (supported-systems '("x86_64-linux" "aarch64-linux" "powerpc64le-linux"))
     (license license:bsd-2)))
 
+(define-public python-spin
+  (package
+  (name "python-spin")
+  (version "0.8")
+  (source
+   (origin
+     (method url-fetch)
+     (uri (pypi-uri "spin" version))
+     (sha256
+      (base32 "0ff48nagfaai3j26g1db4zq2bwdv6kj5l7xhcs2l9kzg7qzrmhr7"))))
+  (build-system pyproject-build-system)
+  (propagated-inputs (list python-click python-colorama python-tomli))
+  (native-inputs (list python-pytest))
+  (home-page "https://github.com/scientific-python/spin")
+  (synopsis "Developer tool for scientific Python libraries")
+  (description "@code{spin} is a simple interface for common development
+tasks.  It comes with a few common build commands out the box, but can
+easily be customized per project.
+
+The impetus behind developing the tool was the mass migration of scientific
+Python libraries (SciPy, scikit-image, and NumPy, etc.) to Meson, after
+distutils was deprecated.  When many of the build and installation commands
+changed, it made sense to abstract away the nuisance of having to re-learn
+them.")
+  (license license:bsd-3)))
+
 (define-public python-baycomp
   (package
     (name "python-baycomp")
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#67642; Package guix-patches. Full text available.

Message received at 67642 <at> debbugs.gnu.org:


Received: (at 67642) by debbugs.gnu.org; 5 Dec 2023 15:23:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 05 10:23:07 2023
Received: from localhost ([127.0.0.1]:38063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rAXGN-0006NR-5E
	for submit <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:23:07 -0500
Received: from mout01.posteo.de ([185.67.36.65]:43779)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1rAXGK-0006MN-1W
 for 67642 <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:23:05 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 36810240028
 for <67642 <at> debbugs.gnu.org>; Tue,  5 Dec 2023 16:22:47 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1701789767; bh=3oT/TasKOikn8Kmetf1lrcknaiMeTbSQLNCBfjfiY1Y=;
 h=From:To:Cc:Subject:Date:Message-Id:MIME-Version:
 Content-Transfer-Encoding:From;
 b=NoS5YlUQDPbX8y411vHPEqKwEZ1iFFJ/UMw1YDmDKKWYmIvHclqy4yuEZvKfXgiOw
 hNfuU6gC2U4u6gV/VMmc8xRnfJy7upcyzAFjandCmMW3y9z2C2J1IMXL+sOf72yfSy
 zCvftDgNnSabShE+zzk17NAR9tylcgsB1itVIlD0EquIu0fS5CycMypt5abVp8hQeF
 M8fQDrqhs+gnkAB2doeCjamwN4CO9BKPjSrmmxLufb6qewC8Lx358YmP2xlFtAwN8a
 JL4RbqRm8Z41oj89s2AUlG05HXsqyMy3iMcOCpK/IMzhi3vVQr4iofTUbtwuD1PYY5
 0c14zeg/ZsAdA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Sl46G2PKsz6ty9;
 Tue,  5 Dec 2023 16:22:46 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 67642 <at> debbugs.gnu.org
Subject: [PATCH 4/5] gnu: Add python-scikit-build-core.
Date: Tue,  5 Dec 2023 15:21:57 +0000
Message-Id: <194362f7114b4070dc1c6ff53276c998828d81d6.1701788624.git.monego@HIDDEN>
In-Reply-To: <cover.1701788624.git.monego@HIDDEN>
References: <cover.1701788624.git.monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 67642
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-scikit-build-core): New variable.

Change-Id: I6dac2c5062d51eaa15cff67cd94a938014229182
---
 gnu/packages/python-xyz.scm | 57 +++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index 28dbea691f..36bd4c04be 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -30855,6 +30855,63 @@ (define-public python-sane
                ;; Yet another variant of the X/MIT license.
                "https://github.com/python-pillow/Sane/blob/master/COPYING"))))
 
+(define-public python-scikit-build-core
+  (package
+    (name "python-scikit-build-core")
+    (version "0.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "scikit_build_core" version))
+       (sha256
+        (base32 "1lvzcmsq6wmv396a5lq7wl6lx8165pz55ymjbbinr32nki3g5xw5"))))
+    (build-system pyproject-build-system)
+    ;; Skip network tests.
+    (arguments
+     (list #:test-flags #~(list "-m" "not network"
+                                ;; TODO: figure out why these tests fail.
+                                ;; (they also need write permission)
+                                "-k" (string-append
+                                      "not "
+                                      (string-join
+                                       (list "test_pep517_wheel"
+                                             "test_abi3_wheel"
+                                             "test_navigate_editable_pkg"
+                                             "test_pep517_mixed_wheel")
+                                       " and not ")))))
+    (propagated-inputs (list cmake
+                             python-exceptiongroup
+                             python-importlib-metadata
+                             python-importlib-resources
+                             python-packaging
+                             python-pathspec
+                             python-pyproject-metadata
+                             python-tomli
+                             python-typing-extensions))
+    (native-inputs (list pybind11
+                         python-cattrs
+                         python-fastjsonschema
+                         python-hatch-fancy-pypi-readme
+                         python-hatch-vcs
+                         python-hatchling
+                         python-numpy
+                         python-pytest
+                         python-pytest-subprocess
+                         ;; Latest setuptools fails with "setup.py install is
+                         ;; deprecated.  Use build and pip or other standards-
+                         ;; based tools".
+                         python-setuptools-57
+                         python-setuptools-scm
+                         python-virtualenv
+                         python-wheel))
+    (home-page "https://scikit-build-core.readthedocs.io/en/latest/")
+    (synopsis "Build backend for CMake based projects")
+    (description
+     "Scikit-build-core is a complete ground-up rewrite of scikit-build on top
+of modern packaging APIs.  It provides a bridge between CMake and the Python
+build system, allowing you to make Python modules with CMake.")
+    (license license:asl2.0)))
+
 (define-public python-scikit-build
   (package
     (name "python-scikit-build")
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#67642; Package guix-patches. Full text available.

Message received at 67642 <at> debbugs.gnu.org:


Received: (at 67642) by debbugs.gnu.org; 5 Dec 2023 15:23:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 05 10:23:04 2023
Received: from localhost ([127.0.0.1]:38060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rAXGJ-0006NC-Px
	for submit <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:23:04 -0500
Received: from mout01.posteo.de ([185.67.36.65]:60289)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1rAXGG-0006M1-5r
 for 67642 <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:23:00 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 3EAF7240028
 for <67642 <at> debbugs.gnu.org>; Tue,  5 Dec 2023 16:22:43 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1701789763; bh=mBvhxdzGlR1X0BHTssGgu/+0astV39maZBNNvK0/lIo=;
 h=From:To:Cc:Subject:Date:Message-Id:MIME-Version:
 Content-Transfer-Encoding:From;
 b=JLXetFq2fbhom72erc4PyLYbpvy0LGeKy9oOAzThbrEH41TpesJ5r52TNV/mlDyF/
 7C5j02EdCymC1uZiK2VetYrIbBJWitXBDMrpp43Up9eTI4qEt2g8tE9cVEGn+cPwin
 6+n4IY4isOaZ3Sy0o/ZQCTNyAWw0lailubG55rhdYSRZN7u/SOzh4h336FVLzMGW18
 s91pme721AD1y+7h9vuVI/7Nq869Z3VJeNUFTfR0CMYw8S+IZrTtBL4A/zUpXxDmaW
 ZdLgPpPPvGSezcB0GJd+qCT/pDoXsBjwwcHmx8IU2bDn1xsOvRcwRfxlDNZxaYsCo6
 WddfxKRHWV4yw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Sl46B2bR1z6tvw;
 Tue,  5 Dec 2023 16:22:41 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 67642 <at> debbugs.gnu.org
Subject: [PATCH 3/5] gnu: Add python-pytest-subprocess.
Date: Tue,  5 Dec 2023 15:21:56 +0000
Message-Id: <b8183426fb32041ab83d16ac50c0a7f794961ac3.1701788624.git.monego@HIDDEN>
In-Reply-To: <cover.1701788624.git.monego@HIDDEN>
References: <cover.1701788624.git.monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 67642
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-check.scm (python-pytest-subprocess): New variable.

Change-Id: Id651d945836879e71eb30f51bc392f3027bcad6e
---
 gnu/packages/python-check.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/python-check.scm b/gnu/packages/python-check.scm
index ea74472270..9befa4610a 100644
--- a/gnu/packages/python-check.scm
+++ b/gnu/packages/python-check.scm
@@ -2099,6 +2099,35 @@ (define-public python-stestr
 help in debugging failures and optimizing the scheduler to improve speed.")
     (license license:asl2.0)))
 
+(define-public python-pytest-subprocess
+  (package
+    (name "python-pytest-subprocess")
+    (version "1.5.0")
+    (source
+     (origin
+       (method git-fetch)               ;no tests in PyPI archive
+       (uri (git-reference
+             (url "https://github.com/aklajnert/pytest-subprocess")
+             (commit version)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "103nxv37sjvxlwmw87hxsrphkxkryv4dgb65kjjfr4722r37vmxv"))))
+    (build-system pyproject-build-system)
+    (native-inputs (list python-anyio
+                         python-coverage
+                         python-docutils
+                         python-nox
+                         python-pygments
+                         python-pytest
+                         python-pytest-asyncio
+                         python-pytest-rerunfailures))
+    (home-page "https://github.com/aklajnert/pytest-subprocess")
+    (synopsis "Fake subprocess for Pytest")
+    (description
+     "This package provides a plugin to fake subprocess for Pytest.")
+    (license license:expat)))
+
 ;; This is only used by python-sanic
 (define-public python-pytest-sanic
   (package
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#67642; Package guix-patches. Full text available.

Message received at 67642 <at> debbugs.gnu.org:


Received: (at 67642) by debbugs.gnu.org; 5 Dec 2023 15:23:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 05 10:23:01 2023
Received: from localhost ([127.0.0.1]:38056 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rAXGH-0006MX-Az
	for submit <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:23:01 -0500
Received: from mout02.posteo.de ([185.67.36.66]:46533)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1rAXGC-0006Lx-94
 for 67642 <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:22:58 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 1FC09240103
 for <67642 <at> debbugs.gnu.org>; Tue,  5 Dec 2023 16:22:39 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1701789759; bh=Yzsvr9gbNQ55z6K3D++xakHz0+CWi1ha5VGQiJ8VSTw=;
 h=From:To:Cc:Subject:Date:Message-Id:MIME-Version:
 Content-Transfer-Encoding:From;
 b=PDW35qA8PaHhpPLDTVw0+8zhBDuyF5Xydo/OAvxsh/smWhyRp63HdkW629L1MUCkJ
 5f1JeFrEETztnVgAYqn/JB/W3Z50bkswKajPRUcnqtb0e6wCAlLZoics51bhre5J/d
 6V3WwZUXNNvnSrcM8AYAxOEkXPpeS90K7ndwJ/yrj/UNyZLvxifJes9VoPp0n+400p
 AVCkt2xKuUdQBQNaEiLEVt61hHGUwL83uollUh6bi2Nx0V4ejqJ+9rDk1HGiO2ua43
 vRb3zvas6WLYX4Fi01ggxkAJlS+bo9rt4XV+u023cxclJ21fPfz1JkpRVsPIUwyGw5
 DJODr2ZGSwaCQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Sl4661nLkz6twf;
 Tue,  5 Dec 2023 16:22:38 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 67642 <at> debbugs.gnu.org
Subject: [PATCH 2/5] gnu: Add hatch.
Date: Tue,  5 Dec 2023 15:21:55 +0000
Message-Id: <524bfa0f56c3f6c46a81e2957adc109baf12b410.1701788624.git.monego@HIDDEN>
In-Reply-To: <cover.1701788624.git.monego@HIDDEN>
References: <cover.1701788624.git.monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 67642
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (hatch): New variable.

Change-Id: Iff0f0e8e8451277e468b7c3054540eca8d25e321
---
 gnu/packages/python-xyz.scm | 77 +++++++++++++++++++++++++++++++++++++
 1 file changed, 77 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index c233479e0c..28dbea691f 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -30028,6 +30028,83 @@ (define-public python-userpath
     (description "This package provides a tool for modifying a user's PATH.")
     (license license:expat)))
 
+(define-public hatch
+  (package
+    (name "hatch")
+    (version "1.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "hatch" version))
+       (sha256
+        (base32 "0ipvj1pxdb6wb1sblh22h9gnh6byjnwcl7hfcnk88dmkslgp1z3s"))
+       (modules '((guix build utils)))
+       (snippet '(substitute* "pyproject.toml"
+                   ;; We have virtualenv 20.3.1.
+                   (("virtualenv>=20.16.2")
+                    "virtualenv>=20.3.1")))))
+    (build-system pyproject-build-system)
+    (arguments
+     (list
+      #:test-flags
+      ;; XXX: tests below fail due to zipfile reporting incorrect zip dates.
+      #~(list "-k"
+              (string-append
+               "not "
+               (string-join
+                (list "test_default"
+                      "test_explicit_path"
+                      "test_editable_default"
+                      "test_editable_default_dependencies"
+                      "test_editable_default_force_include"
+                      "test_editable_default_force_include_option"
+                      "test_editable_exact"
+                      "test_editable_exact_extra_dependencies"
+                      "test_editable_exact_force_include"
+                      "test_editable_exact_force_include_option"
+                      "test_editable_exact_force_include_build_data_precedence"
+                      "test_editable_pth")
+                " and not ")))
+           #:phases #~(modify-phases %standard-phases
+                        (add-before 'check 'pre-check
+                          (lambda _
+                            (setenv "HOME" "/tmp"))))))
+    (native-inputs (list git-minimal
+                         python-pytest
+                         python-pytest-mock
+                         python-pytest-xdist))
+    (propagated-inputs (list python-click
+                             python-hatchling
+                             python-httpx
+                             python-hyperlink
+                             python-keyring
+                             python-packaging
+                             python-pexpect
+                             python-platformdirs
+                             python-pyperclip
+                             python-rich
+                             python-shellingham
+                             python-tomli-w
+                             python-tomlkit
+                             python-userpath
+                             python-virtualenv))
+    (home-page "https://hatch.pypa.io/latest/")
+    (synopsis "Python project management")
+    (description "Hatch is a modern, extensible Python project manager.
+
+Features
+
+@itemize
+@item Standardized build system with reproducible builds by default
+@item Robust environment management with support for custom scripts
+@item Configurable Python distribution management
+@item Easy publishing to PyPI or other indexes
+@item Version management
+@item Configurable project generation with sane defaults
+@item Responsive CLI, ~2-3x faster than equivalent tools
+@end itemize")
+    (license license:expat)))
+
 (define-public python-nestedtext
   (package
     (name "python-nestedtext")
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#67642; Package guix-patches. Full text available.

Message received at 67642 <at> debbugs.gnu.org:


Received: (at 67642) by debbugs.gnu.org; 5 Dec 2023 15:22:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 05 10:22:58 2023
Received: from localhost ([127.0.0.1]:38053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rAXGD-0006MA-Vz
	for submit <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:22:58 -0500
Received: from mout01.posteo.de ([185.67.36.65]:57671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1rAXG8-0006Lr-TL
 for 67642 <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:22:56 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 144D724002A
 for <67642 <at> debbugs.gnu.org>; Tue,  5 Dec 2023 16:22:34 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1701789755; bh=gxHpkLb4QJl/i9cYHDM1wnaORtqXO9i9tbgs4WyikR8=;
 h=From:To:Cc:Subject:Date:Message-Id:MIME-Version:
 Content-Transfer-Encoding:From;
 b=ZKmQQf1Dh/ufJnGaAOclLOJgaeybcxEiQDTkfWQA7cg9vKmr0qnpXgZd2GMdqP85H
 g0Cr3f3ZXxAtLy9Lmv8DHAbGuVj0sV+R5SByP2qjRVjrqdmCsaxukYVfnf9s4u+4WZ
 OTa8zlBZgkhCTljjfSkoUmc8wvlw9+xJrKLeo6lP5ZNny5fG+1mteT1Fk7kT++1IfQ
 Ygzosx433dQk7dA+4zgRREFTfn9Rg6tM5Iaksfqa3S2tlrpF1gqM59opqRF6aS5TP3
 ERtaRVTS86jXLFsUmhWXJ+9qh6zLUJts5JrqAVDjlWUV6+eEiyfl/GUxQnZ4HRO4Wk
 cqP7BFMZxHXaQ==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Sl4621Mp3z6tvs;
 Tue,  5 Dec 2023 16:22:33 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: 67642 <at> debbugs.gnu.org
Subject: [PATCH 1/5] gnu: Add python-userpath.
Date: Tue,  5 Dec 2023 15:21:54 +0000
Message-Id: <0a91ba04f027579cc6c50b555cb1da7feab879cd.1701788624.git.monego@HIDDEN>
In-Reply-To: <cover.1701788624.git.monego@HIDDEN>
References: <cover.1701788624.git.monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 67642
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/python-xyz.scm (python-userpath): New variable.

Change-Id: Ic263ee8e1208273b225aa7e2c14dd85f085254e7
---
 gnu/packages/python-xyz.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index f54a9b0f88..c233479e0c 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -30005,6 +30005,29 @@ (define-public python-inform
 cleanly print different types of messages.")
     (license license:gpl3+)))
 
+(define-public python-userpath
+  (package
+    (name "python-userpath")
+    (version "1.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (pypi-uri "userpath" version))
+       (sha256
+        (base32 "15i7w1sh60f7i23rqls72s6rdkgw4cxvz08p82v19jcqimr7d0ff"))))
+    (build-system pyproject-build-system)
+    (arguments
+     ;; See https://github.com/ofek/userpath/issues/43.
+     ;; In Guix, tests try to find the temporary build directory in PATH, but
+     ;; only the store output is present.
+     (list #:tests? #f))
+    (native-inputs (list python-hatchling python-pytest))
+    (propagated-inputs (list python-click))
+    (home-page "https://github.com/ofek/userpath")
+    (synopsis "Add locations to the user's PATH")
+    (description "This package provides a tool for modifying a user's PATH.")
+    (license license:expat)))
+
 (define-public python-nestedtext
   (package
     (name "python-nestedtext")
-- 
2.39.2





Information forwarded to guix-patches@HIDDEN:
bug#67642; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Dec 2023 15:19:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 05 10:19:57 2023
Received: from localhost ([127.0.0.1]:38047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rAXDJ-0006GL-Cw
	for submit <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:19:57 -0500
Received: from lists.gnu.org ([2001:470:142::17]:35536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monego@HIDDEN>) id 1rAXDG-0006G5-Lw
 for submit <at> debbugs.gnu.org; Tue, 05 Dec 2023 10:19:55 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1rAXCz-0003hP-Uy
 for guix-patches@HIDDEN; Tue, 05 Dec 2023 10:19:37 -0500
Received: from mout01.posteo.de ([185.67.36.65])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <monego@HIDDEN>) id 1rAXCx-000465-Is
 for guix-patches@HIDDEN; Tue, 05 Dec 2023 10:19:37 -0500
Received: from submission (posteo.de [185.67.36.169]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 25BBF240028
 for <guix-patches@HIDDEN>; Tue,  5 Dec 2023 16:19:29 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1701789569; bh=+H7nh4hnxMZqASsuxVbLWHFhrF5cPkzXWMb7EC4U+J4=;
 h=From:To:Cc:Subject:Date:Message-Id:MIME-Version:
 Content-Transfer-Encoding:From;
 b=HLh270jrKEJzZEHVCOSCA8wLqKlY50UaPBYnGtOAePn8DlCHJY0/R4d+9vF+Oay9w
 bY0iNFbyJrH4OcP2elG/L8YirAcjSrzVTcbpg96fRBE7tvqK7M0Tx1Ftwb6CtVHHZD
 GWknTeqTdQ9DRL+ZYyYIlw39cmnz+TVcM6PntzMjLqToSb5oEoj6/Gebo0iFT0FZ7D
 f3KLvGwTKxTqVQDcOEyWDKqodA92mXaCkoYMfLimrz6st6JtsoyQ5kJkqLvGz4edcq
 Mc+Ew8SsWSPhlJxBsi/VIFDIG4rB+AxyksdziK1G0GjUZERgLU0J9j6hLQ5qhzXGF+
 ZvZMdiWclylAA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4Sl42S1GLKz6v0C;
 Tue,  5 Dec 2023 16:19:27 +0100 (CET)
From: Vinicius Monego <monego@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/5] Add some Python build-related packages.
Date: Tue,  5 Dec 2023 15:18:50 +0000
Message-Id: <cover.1701788624.git.monego@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=185.67.36.65; envelope-from=monego@HIDDEN;
 helo=mout01.posteo.de
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H5=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: Vinicius Monego <monego@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

This patchset adds Hatch, scikit-build-core and spin.

Hatch is a project manager, commonly found as a dependency in other packages.

scikit-build-core is a rewrite of scikit-build. It bridges Python with CMake-built libraries.

spin is a CLI tool mainly used to compile projects that use meson-python.

Vinicius Monego (5):
  gnu: Add python-userpath.
  gnu: Add hatch.
  gnu: Add python-pytest-subprocess.
  gnu: Add python-scikit-build-core.
  gnu: Add python-spin.

 gnu/packages/python-check.scm   |  29 ++++++
 gnu/packages/python-science.scm |  26 ++++++
 gnu/packages/python-xyz.scm     | 157 ++++++++++++++++++++++++++++++++
 3 files changed, 212 insertions(+)


base-commit: c15a1cd88f80a90437f4b0159f22dfc84b9e6851
-- 
2.39.2





Acknowledgement sent to Vinicius Monego <monego@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#67642; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 28 Feb 2024 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.